package com.gic.haoban.manage.web.vo.chat;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-10-12 10:07:35
 */
public class GroupChatActivityJoinDataVO implements Serializable {

    private static final long serialVersionUID = 753629197049532832L;

    private Long chatActivityId;

    /**
     * 参与人数
     */
    private Integer inviterNum = 0;

    /**
     * 邀请进群人数
     */
    private Integer inviteeNum = 0;

    /**
     * 有效邀请人数
     */
    private Integer effectiveInviteeNum = 0;

    public Long getChatActivityId() {
        return chatActivityId;
    }

    public void setChatActivityId(Long chatActivityId) {
        this.chatActivityId = chatActivityId;
    }

    public Integer getInviterNum() {
        return inviterNum;
    }

    public void setInviterNum(Integer inviterNum) {
        this.inviterNum = inviterNum;
    }

    public Integer getInviteeNum() {
        return inviteeNum;
    }

    public void setInviteeNum(Integer inviteeNum) {
        this.inviteeNum = inviteeNum;
    }

    public Integer getEffectiveInviteeNum() {
        return effectiveInviteeNum;
    }

    public void setEffectiveInviteeNum(Integer effectiveInviteeNum) {
        this.effectiveInviteeNum = effectiveInviteeNum;
    }
}
